summaryrefslogtreecommitdiffstats
path: root/jjb/xci/xci-start-new-vm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/xci/xci-start-new-vm.sh')
-rwxr-xr-xjjb/xci/xci-start-new-vm.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/jjb/xci/xci-start-new-vm.sh b/jjb/xci/xci-start-new-vm.sh
index dc6139b12..b72c33920 100755
--- a/jjb/xci/xci-start-new-vm.sh
+++ b/jjb/xci/xci-start-new-vm.sh
@@ -20,6 +20,13 @@ if [[ "$GERRIT_TOPIC" =~ 'skip-verify' ]]; then
exit 0
fi
+# skip the deployment if the scenario is not supported on this distro
+OPNFV_SCENARIO_REQUIREMENTS=$WORKSPACE/xci/opnfv-scenario-requirements.yml
+if ! sed -n "/^- scenario: $DEPLOY_SCENARIO$/,/^$/p" $OPNFV_SCENARIO_REQUIREMENTS | grep -q $DISTRO; then
+ echo "# SKIPPED: Scenario $DEPLOY_SCENARIO is NOT supported on $DISTRO"
+ exit 0
+fi
+
cd $WORKSPACE
# The start-new-vm.sh script will copy the entire releng-xci directory